Index: trunk/data/konvert/postnas_0.5/alkis_konv_batch.sh
===================================================================
--- trunk/data/konvert/postnas_0.5/alkis_konv_batch.sh	(revision 49)
+++ trunk/data/konvert/postnas_0.5/alkis_konv_batch.sh	(revision 53)
@@ -7,7 +7,10 @@
 ## Stand: 
 ##  2010-01-06
-##  2010-01-26 postgreSQL 8.3 Port 5432
+##  2010-01-26 postgreSQL 8.3
+##  2010-08-16 Dateiname als Zwischen-Ueberschrift in Fehlerprotokoll
+##  2010-10-14  gdal 1.8 compile aus svn gdal-trunk
+##  2010-11-10  Tabellen "Optimierte Nutzungsarten" Laden
 ## 
-## Konverter:   /opt/gdal-1.7/bin/ = GDAL 1.7 / PostNAS 0.5
+## Konverter:   /opt/gdal-1.8/bin/ = GDAL 1.8 / PostNAS 0.5
 ## Koordinaten: EPSG:25832  UTM, Zone 32
 ##              -a_srs EPSG:25832   - bleibt im UTM-System (korrigierte Werte)
@@ -22,4 +25,6 @@
 DBPASS=$4
 UPD=$5
+## Fehlerprotokoll
+errprot='/data/konvert/postnas_0.5/log/postnas_err.prot'
 ##
 if [ $ORDNER = "" ]
@@ -61,25 +66,28 @@
 layer=""
 # leer = alle Layer
- echo "Datenbank-Name . . = ${DBNAME}"
- echo "Ordner NAS-Daten . = ${ORDNER}"
- echo "Datenbank-User . . = ${DBUSER}"
-#echo "Datenbank-Pass . . = ${DBPASS}"
- echo "Verarbeitungs-Modus= ${verarb}"
- echo " "
-#logmeld="/data/konvert/postnas_0.5/log/meldungen"
-#logerr="/data/konvert/postnas_0.5/log/fehler"
-for nasdatei in ${ORDNER}/*.xml ; do 
+  echo "Datenbank-Name . . = ${DBNAME}"
+  echo "Ordner NAS-Daten . = ${ORDNER}"
+  echo "Datenbank-User . . = ${DBUSER}"
+ #echo "Datenbank-Pass . . = ${DBPASS}"
+  echo "Verarbeitungs-Modus= ${verarb}"
+  echo " "
+  for nasdatei in ${ORDNER}/*.xml ; do 
 	echo "  *******"
 	echo "  * Datei: " $nasdatei
+	# Zwischenueberschrift im Fehlerprotokoll
+	echo "  * Datei: " $nasdatei >> $errprot
 	# Groesse und Datum anzeigen
 	#ls -l ${nasdatei}
-	/opt/gdal-1.7/bin/ogr2ogr -f "PostgreSQL" -append  ${update}  -skipfailures \
+	/opt/gdal-1.8/bin/ogr2ogr -f "PostgreSQL" -append  ${update}  -skipfailures \
 		PG:"dbname=${DBNAME} user=${DBUSER} password=${DBPASS} host=localhost port=5432" \
-		-a_srs EPSG:25832  ${nasdatei}  ${layer}  2>>  /data/konvert/postnas_0.5/log/postnas_err.prot
-	# Fehlerprotokoll in log-Datei? 2>
+		-a_srs EPSG:25832  ${nasdatei}  ${layer}  2>> $errprot
 	# Abbruch bei Fehler?
 	nasresult=$?
 	echo "  * Resultat: " $nasresult " fuer " ${nasdatei}
-done
-echo "** Ende Konvertierung Ordner ${ORDNER}"
+  done
+  echo "** Ende Konvertierung Ordner ${ORDNER}"
+  echo "Das Fehler-Protokoll wurde ausgegeben in die Datei " $errprot
 ##
+  echo "** Optimierte Nutzungsarten neu Laden:"
+  psql -p 5432 -d ${DBNAME}  -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_nutzungsart_laden.sql
+##
Index: trunk/data/konvert/postnas_0.5/alkis_datenbank_anlegen.sh
===================================================================
--- trunk/data/konvert/postnas_0.5/alkis_datenbank_anlegen.sh	(revision 49)
+++ trunk/data/konvert/postnas_0.5/alkis_datenbank_anlegen.sh	(revision 53)
@@ -4,7 +4,11 @@
 ## Teil 1: Eine neue PostGIS-Datenbank anlegen    -
 ## ------------------------------------------------
+##
 ## Stand:
 ##  2010-01-11
 ##  2010-01-26 postgreSQL 8.3 Port 5432
+##  2010-08-27 Schluesseltabellen (Konstanten) dazu laden, 
+##             Grant von Views getrennt
+##  2010-11-10 Nutzungsarten
 ##
 ## Dialog mit Anwender
@@ -56,16 +60,43 @@
 echo "**  Neue ALKIS-Datenbank    **"
 echo "******************************"
+##
+echo " "
 echo "** Löschen Datenbank " ${DBNAME}
 #echo "DROP database ${DBNAME};" | psql -h localhost -p 5432 -d ${DBUSER} -U ${DBUSER} 
 echo  "DROP database ${DBNAME};" | psql              -p 5432 -d ${DBUSER} -U ${DBUSER} 
+##
+echo " "
 echo "** Anlegen (leere) PostGIS-Datenbank"
 #createdb  --host=localhost  --port=5432 --username=${DBUSER} -E utf8  -T ${DBTEMPLATE}  ${DBNAME}
 createdb                     --port=5432 --username=${DBUSER} -E utf8  -T ${DBTEMPLATE}  ${DBNAME}
-echo "** Anlegen der Datenbank-Struktur  (alkis_PostNAS_0.5_schema.sql)"
+##
+echo " "
+echo "** Anlegen der Datenbank-Struktur fuer PostNAS (alkis_PostNAS_0.5_schema.sql)"
 psql $con -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_PostNAS_0.5_schema.sql
+##
+echo " "
+echo "** Anlegen der Datenbank-Struktur - zusaetzliche Schluesseltabellen"
+## Nur die benoetigten Tabellen fuer die Buchauskunft
+psql $con -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_PostNAS_0.5_keytables.sql
+##
+echo " "
+echo "** Anlegen Optimierung Nutzungsarten"
+##
+## Anlegen der Tabellen
+psql $con -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_nutzungsart_definition.sql
+##
+## Laden der Metadaten und Schlüsseltabellen
+psql $con -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_nutzungsart_metadaten.sql
+##
+echo " "
 echo "** Definition von Views"
 psql $con -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_sichten.sql
 #echo "COMMENT ON DATABASE ${DBNAME} IS 'ALKIS - Konverter PostNAS 0.5';" | psql -h localhost -p 5432 -d ${DBNAME} -U ${DBUSER} 
 echo  "COMMENT ON DATABASE ${DBNAME} IS 'ALKIS - Konverter PostNAS 0.5';" | psql              -p 5432 -d ${DBNAME} -U ${DBUSER} 
+##
+echo " "
+echo "** Berechtigung"
+psql $con -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_grant.sql
+##
 echo "***************************"
 echo "**  Ende Neue Datenbank  **"
Index: trunk/data/konvert/postnas_0.5/alkis_test_simplify.sql
===================================================================
--- trunk/data/konvert/postnas_0.5/alkis_test_simplify.sql	(revision 53)
+++ trunk/data/konvert/postnas_0.5/alkis_test_simplify.sql	(revision 53)
@@ -0,0 +1,103 @@
+
+-- Vereinfachung der Geometrie mit der PostGIS-Function ST_Simplify
+
+-- Stand 2010-10-11
+
+-- Kommentar siehe Datei "alkis_geom_simplify.sql"
+-- Siehe Diskussion auf der Mailingliste
+
+-- http://www.postgis.org/documentation/manual-1.3/ch06.html#id2575027
+
+-- ST_Simplify(geometry, tolerance)
+
+-- Returns a "simplified" version of the given geometry using the Douglas-Peuker algorithm. 
+-- Will actually do something only with (multi)lines and (multi)polygons but you can safely call it with any kind of geometry.
+-- Since simplification occurs on a object-by-object basis you can also feed a GeometryCollection to this function.
+-- Note that returned geometry might loose its simplicity (see IsSimple)
+
+
+-- geeignete Tabellen für die Optimierung:
+
+CREATE VIEW simplify_optimierbare_tabellen
+AS
+ SELECT f_table_name, type 
+ FROM   geometry_columns
+ WHERE  not f_geometry_column = 'dummy'
+   AND  type in ('LINESTRING', 'POLYGON', 'MULTIPOLYGON');  -- ,'GEOMETRY' ?
+
+
+-- liefert u.a.:
+--
+--"ax_flurstueck"       "MULTIPOLYGON"
+--"ax_wald"             "POLYGON"
+--"ax_wohnbauflaeche"   "POLYGON"
+
+
+-- einfacher Test der Function
+CREATE VIEW flst_simple 
+AS
+  SELECT gml_id,
+         flurstueckskennzeichen, 
+         st_simplify(wkb_geometry, 0.01) AS geom_simple
+  FROM   ax_flurstueck
+  LIMIT  200;
+
+
+-- Mengenanalyse zum Finden der passenden Toleranz
+-- Je eine Spalte zaehlt die durchschnittliche Anzahl von Punkten im Geometriefeld
+-- Anzezeigt wird: ursprüngliche Anzahl und Simplify mit 1mm, 1cm und 5 cm.
+
+-- Flurstueck
+CREATE VIEW analyse_simple_flst
+AS
+  SELECT 
+    count(gml_id) AS anzahl,
+    round(avg(ST_npoints(wkb_geometry)),2)                     AS punktanzahl_orig,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.001))),2) AS punktanzahl_simply_mm,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.01))),2)  AS punktanzahl_simply_cm,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.05))),2)  AS punktanzahl_simply_5cm
+  FROM ax_flurstueck
+;
+
+-- Nutzungsart Wald
+CREATE VIEW analyse_simple_wald
+AS
+  SELECT 
+    count(gml_id) AS anzahl,
+    round(avg(ST_npoints(wkb_geometry)),2)                     AS punktanzahl_orig,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.001))),2) AS punktanzahl_simply_mm,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.01))),2)  AS punktanzahl_simply_cm,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.05))),2)  AS punktanzahl_simply_5cm
+  FROM ax_wald
+;
+
+-- Nutzungsart Wohnflaeche
+CREATE VIEW analyse_simple_wohn
+AS
+  SELECT 
+    count(gml_id) AS anzahl,
+    round(avg(ST_npoints(wkb_geometry)),2)                     AS punktanzahl_orig,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.001))),2) AS punktanzahl_simply_mm,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.01))),2)  AS punktanzahl_simply_cm,
+    round(avg(ST_npoints(st_simplify(wkb_geometry, 0.05))),2)  AS punktanzahl_simply_5cm
+  FROM ax_wohnbauflaeche
+;
+
+
+--
+--   Tabelle                 Anz.Punkte  1 mm    1 cm    5 cm 
+--   -----------------  -------- ------  ------  ------  ------
+-- Musterkarte RLP:
+--   ax_flurstueck        2369    20.45   10.24    9.06    8.80
+--   ax_wald                89    20.70   11.53   11.15   11.08
+--   ax_wohnbauflaeche      76    28.37   12.59   11.53   10.91
+-- Lage/Lippe:
+--   ax_flurstueck       23589    30.55   12.60   11.57   11.08
+--   ax_wald              1207    61.44   27.88   27.24   26.28
+--   ax_wohnbauflaeche    2357    44.41   18.60   16.55   15.54
+
+
+-- Die Mengenanalyse zeigt eine grosse Optimierung bereits im Millimeter-Bereich.
+
+
+-- END --
Index: trunk/data/konvert/postnas_0.5/alkis_sichten.sql
===================================================================
--- trunk/data/konvert/postnas_0.5/alkis_sichten.sql	(revision 49)
+++ trunk/data/konvert/postnas_0.5/alkis_sichten.sql	(revision 53)
@@ -61,5 +61,5 @@
 -- Bruchnummerierung erzeugen
 -- (ersetzt s_flurstuecksnummer_flurstueck ab Sept. 2010)
-DROP VIEW s_flurstueck_nr;
+--DROP VIEW s_flurstueck_nr;
 CREATE OR REPLACE VIEW s_flurstueck_nr
 AS 
@@ -145,6 +145,6 @@
 
 
--- Layer "ag_l_flurstueck"
--- -----------------------
+-- Layer "s_zuordungspfeil_flurstueck"
+-- -----------------------------------
 
 CREATE OR REPLACE VIEW s_zuordungspfeil_flurstueck 
@@ -160,5 +160,5 @@
     AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon';
 
-COMMENT ON VIEW ag_l_flurstueck IS 'fuer Kartendarstellung';
+COMMENT ON VIEW s_zuordungspfeil_flurstueck IS 'fuer Kartendarstellung';
 
 
